Bug 234562 - sysutils/smartmontools: Update to 7.0
Summary: sysutils/smartmontools: Update to 7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-01-02 10:39 UTC by samm
Modified: 2019-01-31 12:38 UTC (History)
4 users (show)

See Also:
samm: maintainer-feedback+


Attachments
update to 7.0 (6.07 KB, patch)
2019-01-02 10:39 UTC, samm
no flags Details | Diff
update to 7.0 (6.08 KB, patch)
2019-01-02 10:42 UTC, samm
samm: maintainer-approval+
Details | Diff
update to 7.0 and fix build on FBSD 12 (8.05 KB, patch)
2019-01-27 19:33 UTC, samm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description samm 2019-01-02 10:39:47 UTC
Created attachment 200700 [details]
update to 7.0

- Update to 7.0 release
- Remove unrelevant patches
- Use fetch as default download tool
Comment 1 samm 2019-01-02 10:42:28 UTC
Created attachment 200702 [details]
update to 7.0
Comment 2 Steve Wills freebsd_committer 2019-01-02 14:48:37 UTC
This builds on 11.2 but fails to build on 12.0 and HEAD with:

c++ -DHAVE_CONFIG_H -I.  -DBUILD_INFO='"(local build)"' -DSMARTMONTOOLS_SYSCONFDIR='"/usr/local/etc"' -DSMARTMONTOOLS_SMARTDSCRIPTDIR='"/usr/local/etc"' -DSMARTMONTOOLS_DRIVEDBDIR='"/usr/local/share/smartmontools"'        -O2 -pipe -fstack-protector -fno-strict-aliasing   -Wall -W -Wformat=2 -c -o smartctl.o smartctl.cpp
os_freebsd.cpp:545:42: error: member reference base type 'uint16_t' (aka 'unsigned short') is not a structure or union
    uint16_t nvme_status = ((cp_p->status.sct << 8) | cp_p->status.sc) & 0x3ff;
                             ~~~~~~~~~~~~^~~~
os_freebsd.cpp:545:67: error: member reference base type 'uint16_t' (aka 'unsigned short') is not a structure or union
    uint16_t nvme_status = ((cp_p->status.sct << 8) | cp_p->status.sc) & 0x3ff;
                                                      ~~~~~~~~~~~~^~~
2 errors generated.
Comment 3 samm 2019-01-02 20:50:03 UTC
Thank you. I will test port in the FreeBSD 12 to fix the issues.
Comment 4 samm 2019-01-27 19:33:03 UTC
Created attachment 201461 [details]
update to 7.0 and fix build on FBSD 12

Updated patch with FBSD 12 support
Comment 5 commit-hook freebsd_committer 2019-01-31 12:38:05 UTC
A commit references this bug:

Author: swills
Date: Thu Jan 31 12:37:46 UTC 2019
New revision: 491711
URL: https://svnweb.freebsd.org/changeset/ports/491711

Log:
  sysutils/smartmontools: update to 7.0

  PR:		234562
  Submitted by:	samm@os2.kiev.ua (maintainer)

Changes:
  head/sysutils/smartmontools/Makefile
  head/sysutils/smartmontools/distinfo
  head/sysutils/smartmontools/files/patch-configure
  head/sysutils/smartmontools/files/patch-freebsd__nvme__ioctl.h
  head/sysutils/smartmontools/files/patch-os__freebsd.cpp
  head/sysutils/smartmontools/files/patch-update-smart-drivedb.in
Comment 6 Steve Wills freebsd_committer 2019-01-31 12:38:54 UTC
Committed, thanks!